<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.smartmonitor.mapper.SmartVideoMonitorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="smartVideoMonitorResultMap" type="org.springblade.smartapplication.smartmonitor.entity.SmartVideoMonitor">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="serial_num" property="serialNum"/>
        <result column="name" property="name"/>
        <result column="agency_id" property="agencyId"/>
        <result column="agency_name" property="agencyName"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="address" property="address"/>
        <result column="online" property="online"/>
        <result column="heartbeat" property="heartbeat"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectSmartVideoMonitorPage" resultMap="smartVideoMonitorResultMap">
        select * from yc_smart_video_monitor where is_deleted = 0
    </select>

</mapper>
